Package org.apache.commons.io.input

# Class CloseShieldInputStream.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<CloseShieldInputStream,CloseShieldInputStream.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<CloseShieldInputStream,CloseShieldInputStream.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<CloseShieldInputStream,CloseShieldInputStream.Builder>
org.apache.commons.io.input.ProxyInputStream.AbstractBuilder<CloseShieldInputStream,CloseShieldInputStream.Builder>
org.apache.commons.io.input.CloseShieldInputStream.Builder

All Implemented Interfaces:
  `IOSupplier<CloseShieldInputStream>`

Enclosing class:
  `CloseShieldInputStream`

public static class CloseShieldInputStream.Builder extends ProxyInputStream.AbstractBuilder<CloseShieldInputStream,CloseShieldInputStream.Builder>
Constructs a new builder for `CloseShieldInputStream`.

Since:
  2.22.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CloseShieldInputStream`
  `get()`
  Gets a result.
  `CloseShieldInputStream.Builder`
  `setOnClose(IOUnaryOperator<InputStream> onClose)`
  Sets the `onClose` function.

  ### Methods inherited from class org.apache.commons.io.input.ProxyInputStream.AbstractBuilder

  `getAfterRead, setAfterRead`

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getByteArray, getChannel, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newChannelOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setChannel, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new instance.

- ## Method Details

  - ### get

    public CloseShieldInputStream get() throws IOException
    Description copied from interface: `IOSupplier`
    Gets a result.
    Returns:
      a result.
    Throws:
      `IOException` - if an I/O error occurs.
    See Also:
      - `IOSupplier.getUnchecked()`

  - ### setOnClose

    public CloseShieldInputStream.Builder setOnClose(IOUnaryOperator<InputStream> onClose)
    Sets the `onClose` function. By default, replaces the underlying input stream when `ProxyInputStream.close()` is called.
    Parameters:
      `onClose` - the onClose function.
    Returns:
      `this` instance.